couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (COUCHDB-1668) jquery.couch.js is incompatible with jquery.js version 1.9
Date Sun, 08 Dec 2013 16:34:35 GMT

    [ https://issues.apache.org/jira/browse/COUCHDB-1668?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13842550#comment-13842550
] 

ASF subversion and git services commented on COUCHDB-1668:
----------------------------------------------------------

Commit 5310b4087b69ae4df496d00bc77a3e258888c71a in branch refs/heads/master from [~kxepal]
[ https://git-wip-us.apache.org/repos/asf?p=couchdb.git;h=5310b40 ]

Fix compatibility with jQuery 1.9+

$.browser is gone there, but still we have to disable cache for MSIE.

COUCHDB-1668


> jquery.couch.js is incompatible with jquery.js version 1.9
> ----------------------------------------------------------
>
>                 Key: COUCHDB-1668
>                 URL: https://issues.apache.org/jira/browse/COUCHDB-1668
>             Project: CouchDB
>          Issue Type: Dependency upgrade
>            Reporter: bob pasker
>
> jquery.couch 1.2.x line 998:
>           type: "GET", dataType: "json", cache : !$.browser.msie ...
> fails with error: 
> "Uncaught TypeError: Cannot read property 'msie' of undefined"
> because jquery 1.9 removed the deprecated jQuery.browser()
> see: http://jquery.com/upgrade-guide/1.9/#jquery-browser-removed



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message